<?php 

	error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE);               //Errors catching. 
	//error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);   //To find all errors. 
	//error_reporting(E_ALL);	                                   //Report all errors. 

	//header("Content-Type: charset=utf-8"); 
	header("Content-Type: text/html; charset=utf-8"); 

	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");              //No website caching is set here on this lines. 
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache"); 

	header("Content-type: text/html; charset=utf-8");              //Set server side scripting language. 

	ini_set("date.timezone", "America/Los_Angeles");               // Date timezone America. 

	include_once __DIR__ . "/main_incs/config.php"; //This file include will import variables for this template. 
	include_once __DIR__ . "/main_incs/controller.php"; //This file include will import controller for this template. 
	include_once __DIR__ . "/main_incs/variables.php"; //This file include will import variables for this template. 

?>
<!DOCTYPE html>

<html dir="<?php echo $dir_attribute;?>" lang="<?php echo $language;?>">
<head>

	<base href="/">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php $title = "$page_inc"; $new_title = str_replace("-", " ", $title); echo htmlspecialchars(ucwords($new_title)); echo " | "; echo $sitename;?></title>
	<link rel="canonical" href="<?php echo (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];?>">

    <link rel="icon" type="image/png" href="<?php echo $docroot_file;?>/favicon.png?ver=<?php echo uniqid();?>">

    <link rel="stylesheet" type="text/css" href="<?php echo $docroot_file;?>/main_assets/css/style.css?ver=<?php echo uniqid();?>" media="all">
	<link rel="stylesheet" type="text/css" href="<?php echo $docroot_file;?>/page_assets/contact/css/emailform-style.css?ver=<?php echo uniqid();?>" media="all">

	<meta name = "description" content = "<?php echo $description;?>">
	<meta name = "keywords" content = "<?php echo $keywords;?>">
	<meta name="generator" content="<?php echo $website_editor;?>">
	<meta name="author" content="<?php echo $author_name;?>">
	<meta name="robots" content="<?php echo $robots;?>">

	<script src="<?php echo $docroot_file;?>/main_assets/js/jquery.min.js"></script> <!--jQuery JavaScript Library v1.3.2-->
	<script src="<?php echo $docroot_file;?>/main_assets/js/bookmarkscroll.js"></script>

</head>
<body>

<!--Header-->
<?php include_once __DIR__ . "/main_incs/header-menu.php";?>
<!--END Header-->

<!--Content-->
<?php include_once __DIR__ . "/page_incs/$page_inc.php";?>
<!--END Content-->

<!--Footer-->
<?php include_once __DIR__ . "/main_incs/footer-menu.php";?>
<!--END Footer-->

	<!-- Bootstrap core JS-->
	<script src="<?php echo $docroot_file;?>/main_assets/js/bootstrap.bundle.min.js"></script> <!--Bootstrap v5.1.3-->

</body>
</html>